these: An either-or-both data type, with corresponding hybrid error/writer monad transformer.

[ bsd3, control, data, library ] [ Propose Tags ]
Versions 0.2, 0.3, 0.4, 0.4.1, 0.4.2, 0.6.0.0, 0.6.1.0, 0.6.2.0, 0.6.2.1, 0.7, 0.7.1, 0.7.2, 0.7.3, 0.7.4
Dependencies base (>=3 && <5), bifunctors (>=0.1 && <4.0), containers (>=0.4 && <1.0), mtl (==2.*), profunctors (>=3.2 && <4), semigroupoids (>=1.0 && <4.0), semigroups (>=0.8 && <1.0), transformers (>=0.2 && <1.0), vector (>=0.4 && <0.11) [details]
License BSD-3-Clause
Author C. McCann
Maintainer cam@uptoisomorphism.net
Revised Revision 2 made by phadej at Sun May 29 08:40:11 UTC 2016
Category Data, Control
Home page https://github.com/isomorphism/these
Uploaded by JohnWiegley at Sun Jan 20 22:59:07 UTC 2013
Distributions LTSHaskell:0.7.4, NixOS:0.7.4, Stackage:0.7.4, openSUSE:0.7.4
Downloads 10026 total (48 in the last 30 days)
Rating 2.25 (votes: 2) [estimated by rule of succession]
Your Rating
  • λ
  • λ
  • λ
Status Docs uploaded by user
Build status unknown [no reports yet]
Hackage Matrix CI

Modules

[Index]

Downloads

Note: This package has metadata revisions in the cabal description newer than included in the tarball. To unpack the package including the revisions, use 'cabal get'.

Maintainer's Corner

For package maintainers and hackage trustees